Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.identifier
Class DefaultIdentifierConfiguration

    java.lang.Object
      org.apache.openjpa.jdbc.identifier.DefaultIdentifierConfiguration

All Implemented Interfaces:
  IdentifierConfiguration

    public class DefaultIdentifierConfiguration

extends Object
implements IdentifierConfiguration

Constructor Summary
`DefaultIdentifierConfiguration()`

Method Summary
`boolean` | `delimitAll()` Returns true if global name delimiting is enabled.
`String` | `getConversionKey()` Returns a key that can be used to determine whether conversion should take place.
`IdentifierRule` | `getDefaultIdentifierRule()` Gets the default naming rule
`String` | `getDelimitedCase()` Returns the case that is used when delimiting.
`String` | `getIdentifierConcatenator()` Returns the value used to concatenate multiple names together.
`String` | `getIdentifierDelimiter()` Returns the value used to delimit between individual names.
`
`<T> IdentifierRule`
` | `getIdentifierRule(T t)` Returns a naming rule or null if the rule is not found.
`Map<String,IdentifierRule>` | `getIdentifierRules()` Returns all naming rules
`String` | `getLeadingDelimiter()` Returns the leading delimiter value to use when delimiting a name.
`String` | `getSchemaCase()` Returns the case that is used when delimiters are not used.
`boolean` | `getSupportsDelimitedIdentifiers()` Returns true if delimiting is supported
`String` | `getTrailingDelimiter()` Returns the trailing delimiter value to use when delimiting a name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultIdentifierConfiguration

    public DefaultIdentifierConfiguration()

Method Detail

### delimitAll

    public boolean delimitAll()

  Description copied from interface: `IdentifierConfiguration`
  Returns true if global name delimiting is enabled.

  Specified by:
    `delimitAll` in interface `IdentifierConfiguration`

### getDefaultIdentifierRule

    public IdentifierRule getDefaultIdentifierRule()

  Description copied from interface: `IdentifierConfiguration`
  Gets the default naming rule

  Specified by:
    `getDefaultIdentifierRule` in interface `IdentifierConfiguration`

### getDelimitedCase

    public String getDelimitedCase()

  Description copied from interface: `IdentifierConfiguration`
  Returns the case that is used when delimiting.

  Specified by:
    `getDelimitedCase` in interface `IdentifierConfiguration`
  Returns:
    upper, lower, or preserve

### getSchemaCase

    public String getSchemaCase()

  Description copied from interface: `IdentifierConfiguration`
  Returns the case that is used when delimiters are not used.

  Specified by:
    `getSchemaCase` in interface `IdentifierConfiguration`
  Returns:
    upper, lower, or preserve

### getLeadingDelimiter

    public String getLeadingDelimiter()

  Description copied from interface: `IdentifierConfiguration`
  Returns the leading delimiter value to use when delimiting a name.

  Specified by:
    `getLeadingDelimiter` in interface `IdentifierConfiguration`

### getIdentifierDelimiter

    public String getIdentifierDelimiter()

  Description copied from interface: `IdentifierConfiguration`
  Returns the value used to delimit between individual names. For example: "." used in MYSCHEMA.MYTABLE

  Specified by:
    `getIdentifierDelimiter` in interface `IdentifierConfiguration`

### getIdentifierConcatenator

    public String getIdentifierConcatenator()

  Description copied from interface: `IdentifierConfiguration`
  Returns the value used to concatenate multiple names together. For example: "_" used in TABLE1_TABLE2

  Specified by:
    `getIdentifierConcatenator` in interface `IdentifierConfiguration`

### getIdentifierRule

    public <T> IdentifierRule getIdentifierRule(T t)

  Description copied from interface: `IdentifierConfiguration`
  Returns a naming rule or null if the rule is not found.

  Specified by:
    `getIdentifierRule` in interface `IdentifierConfiguration`

### getIdentifierRules

    public Map<String,IdentifierRule> getIdentifierRules()

  Description copied from interface: `IdentifierConfiguration`
  Returns all naming rules

  Specified by:
    `getIdentifierRules` in interface `IdentifierConfiguration`
  Returns:

### getTrailingDelimiter

    public String getTrailingDelimiter()

  Description copied from interface: `IdentifierConfiguration`
  Returns the trailing delimiter value to use when delimiting a name.

  Specified by:
    `getTrailingDelimiter` in interface `IdentifierConfiguration`

### getSupportsDelimitedIdentifiers

    public boolean getSupportsDelimitedIdentifiers()

  Description copied from interface: `IdentifierConfiguration`
  Returns true if delimiting is supported

  Specified by:
    `getSupportsDelimitedIdentifiers` in interface `IdentifierConfiguration`

### getConversionKey

    public String getConversionKey()

  Description copied from interface: `IdentifierConfiguration`
  Returns a key that can be used to determine whether conversion should take place. Id configurations should create a key unique to their configuration. The typical key is: leading delimiter (") + name separator(.) + trailing delimiter(")

  Specified by:
    `getConversionKey` in interface `IdentifierConfiguration`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.